Description

It would be nice if we had a context menu in the new items list of the print composer.

We could add some new functionality to the items, like:

    -  delete item

    -  duplicate item

    -  Copy/cut/paste

    -  Zoom to element (with margin)

    -  Move to top/bottom

    -  Move one up/down

Associated revisions

Revision 91c3b5d2 - 2017-11-07 02:32 AM - Nyall Dawson

Add a shortcut menu to items panel, with option to show

item properties

Refs #11581

Revision d2fcf113 - 2017-12-06 11:49 PM - Nyall Dawson

[layouts] Add context menu entries for "copy" and "delete" item to

items list panel right click menu

Refs #11581

History

#1 - 2014-11-06 06:30 AM - Giovanni Manghi

- Status changed from Open to Feedback

bug or feature request?

#2 - 2014-11-06 06:42 AM - Andreas Neumann

feature request - sorry - I accidentally opened this as a bug.
#3 - 2014-11-06 07:09 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Tracker changed from Bug report to Feature request

Andreas Neumann wrote:

feature request - sorry - I accidentally opened this as a bug.

no problem!

#4 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
